summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-10-22 08:15:59 +0200
committerHans de Graaff <graaff@gentoo.org>2017-10-22 08:15:59 +0200
commit068d5e856e9f5a09b881ed791b3d60918c57d302 (patch)
tree08d2c76ccad3cfd945c98a3230e988e17fec411f /dev-ruby/binding_of_caller
parentdev-perl/gnome2-perl: Bump to version 1.46.0 re bug #616954 (diff)
downloadgentoo-068d5e856e9f5a09b881ed791b3d60918c57d302.tar.gz
gentoo-068d5e856e9f5a09b881ed791b3d60918c57d302.tar.bz2
gentoo-068d5e856e9f5a09b881ed791b3d60918c57d302.zip
dev-ruby/binding_of_caller: add 0.7.3
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'dev-ruby/binding_of_caller')
-rw-r--r--dev-ruby/binding_of_caller/Manifest1
-rw-r--r--dev-ruby/binding_of_caller/binding_of_caller-0.7.3.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-ruby/binding_of_caller/Manifest b/dev-ruby/binding_of_caller/Manifest
index 4c7382e3a35..280e12be21c 100644
--- a/dev-ruby/binding_of_caller/Manifest
+++ b/dev-ruby/binding_of_caller/Manifest
@@ -1 +1,2 @@
DIST binding_of_caller-0.7.2.gem 85504 SHA256 d327682ce1d8e8cc46e282a46052946af0de16bef734014c63df0aac66334f96 SHA512 6eb114070c3f15801c4f2454433630c207c2fb93afcf5906fa1288985303ff87c54ca07273b623bc2d3f76dc5bf363feb1561e109f599776a785aab65dfd7132 WHIRLPOOL 1ccfe6389e0a62730015e2e9bc3b0c20278e9175411561ab913225179e2bc37e58b66aa45cdd8fac32ec67c68a7838471a92140ffe1eb0be5a419b9a551721db
+DIST binding_of_caller-0.7.3.gem 87552 SHA256 c32ba3d6a64a1272118e09d40ae1b0f496924c35baef7149859ee52a453f2ec0 SHA512 e16bfc1fffe7e7d87013506a28f2894c3737a9dfd149ab4c7deee7332e6a3b8eecde5d837a58defcb0ad45a6a8d01ffd7b1e32a9395fa895d2dc84d8e534e547 WHIRLPOOL 5095fd9fb3e253f3893a94579f00234558c32b11bcab32a20cd6bb05a9145f15f452b51e16ad2ceec1a4b08a74adf17222d3b665513458e7445cff6e496cc040
diff --git a/dev-ruby/binding_of_caller/binding_of_caller-0.7.3.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-0.7.3.ebuild
new file mode 100644
index 00000000000..db88afa35d4
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-0.7.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-0.0.1"
+
+ruby_add_bdepend "test? ( dev-ruby/bacon )"
+
+each_ruby_test() {
+ ${RUBY} -S bacon -Itest -rubygems -a -q || die
+}